[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.Found

Check success of one of the Find methods

## Declaration

Source position: db.pas line 1732

`public property TDataSet.Found : Boolean read FFound;`

## Description

Found is True if the last of one of the TDataset.FindFirst,TDataset.FindLast,TDataset.FindNext or TDataset.FindPrior operations was successful.

## See also

TDataset.FindFirst |  | Find the first active record (deprecated)
TDataset.FindLast |  | Find the last active record (deprecated)
TDataset.FindNext |  | Find the next active record (deprecated)
TDataset.FindPrior |  | Find the previous active record (deprecated)